## hpcc 1.4.3

=== Makefile ===
# -*- Makefile -*-

arch = UNKNOWN
include hpl/Make.$(arch)

all:
	- $(MKDIR) hpl/lib/$(arch)
	( $(CD) hpl/lib/arch/build ; $(MAKE) arch=$(arch) -f Makefile.hpcc )

clean:
	- $(MKDIR) hpl/lib/$(arch)
	( $(CD) hpl/lib/arch/build ; $(MAKE) arch=$(arch) -f Makefile.hpcc clean )

## hpcc 1.4.0

=== debian/changelog ===
hpcc (1.4.0-1) unstable; urgency=low

  * New upstream release.
  * Change maintainer to Debian Science.
  * Switch to dpkg-source 3.0 (quilt) format

 -- Lucas Nussbaum <lucas@lucas-nussbaum.net>  Thu, 01 Apr 2010 21:18:10 +0200

hpcc (1.3.1-2) unstable; urgency=low

  * Fix the spelling of my name in debian/copyright. Thanks to Filippo Rusconi
    for noticing!
  * Improve description. Thanks to Ivan Shmakov for the suggestions.
    Closes: #541479.
  * Switch to using mpi-default-*.
  * Bump Std-ver. No changes needed.

 -- Lucas Nussbaum <lucas@lucas-nussbaum.net>  Wed, 24 Feb 2010 14:58:47 +0100

hpcc (1.3.1-1) unstable; urgency=low

  * Initial release (Closes: #519407).

 -- Lucas Nussbaum <lucas@lucas-nussbaum.net>  Sat, 13 Jun 2009 16:04:17 +0200

=== debian/control ===
Source: hpcc
Section: science
Priority: extra
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Lucas Nussbaum <lucas@lucas-nussbaum.net>
Build-Depends: cdbs, debhelper (>= 6), libatlas-base-dev, mpi-default-dev, mpi-default-bin
Standards-Version: 3.8.4
Homepage: http://icl.cs.utk.edu/hpcc/
Vcs-Browser: http://git.debian.org/?p=debian-science/packages/hpcc.git;a=summary
Vcs-Git: git://git.debian.org/debian-science/packages/hpcc.git

Package: hpcc
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: HPC Challenge benchmark
 The High Performance Computing (HPC) Challenge benchmark runs a suite
 of 7 tests that measure the performance of CPU, memory and network for
 HPC clusters.  Amongst others, it includes the High-Performance LINPACK
 (HPL) benchmark, used by the Top500 ranking (http://www.top500.org/).

## hpcc 1.4.1

=== debian/changelog ===
hpcc (1.4.1-2build1) trusty; urgency=medium

  * No-change rebuild for libopenmpi1.3 -> libopenmpi1.6 transition.

 -- Logan Rosen <logan@ubuntu.com>  Sun, 15 Dec 2013 14:09:23 -0500

hpcc (1.4.1-2) unstable; urgency=low

  * Add dependency on mpi-default-bin. Closes: #617433.
  * Bump Standards-Version to 3.9.1. No changes needed.

 -- Lucas Nussbaum <lucas@lucas-nussbaum.net>  Wed, 30 Mar 2011 07:45:15 +0200

hpcc (1.4.1-1) unstable; urgency=low

  * New upstream release.

 -- Lucas Nussbaum <lucas@lucas-nussbaum.net>  Fri, 11 Jun 2010 07:09:48 +0200

hpcc (1.4.0-2) unstable; urgency=high

  * Link dynamically against libcblas and libatlas (oops).
    As a consequence, fix FTBFS. Closes: #577889.

 -- Lucas Nussbaum <lucas@lucas-nussbaum.net>  Sun, 18 Apr 2010 21:26:55 +0200

=== debian/control ===
--- 
+++ 
@@ -4,14 +4,14 @@
 Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
 Uploaders: Lucas Nussbaum <lucas@lucas-nussbaum.net>
 Build-Depends: cdbs, debhelper (>= 6), libatlas-base-dev, mpi-default-dev, mpi-default-bin
-Standards-Version: 3.8.4
+Standards-Version: 3.9.1
 Homepage: http://icl.cs.utk.edu/hpcc/
 Vcs-Browser: http://git.debian.org/?p=debian-science/packages/hpcc.git;a=summary
 Vcs-Git: git://git.debian.org/debian-science/packages/hpcc.git
 
 Package: hpcc
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}
+Depends: ${shlibs:Depends}, ${misc:Depends}, mpi-default-bin
 Description: HPC Challenge benchmark
  The High Performance Computing (HPC) Challenge benchmark runs a suite
  of 7 tests that measure the performance of CPU, memory and network for

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/makefile.mk

DEB_MAKE_CLEAN_TARGET    := arch=Debian clean
DEB_MAKE_BUILD_TARGET    := arch=Debian

## hpcc 1.4.3

=== debian/changelog ===
hpcc (1.4.3-1build2) xenial; urgency=medium

  * No-change rebuild for openmpi on s390x.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 06 Feb 2016 19:48:34 +0000

hpcc (1.4.3-1build1) xenial; urgency=medium

  * No-change rebuild for openmpi transition.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 01 Feb 2016 11:29:05 +0000

hpcc (1.4.3-1) unstable; urgency=medium

  * Update my email address.
  * Imported Upstream version 1.4.3.
  * Use dh instead of cdbs.
  * Bump Standards-Version to 3.9.6.
  * Bump debhelper compat level to 9.
  * Document patch: add-Make.Debian.patch.
  * Add Hardening build flags.
  * Add manual page for hpcc.

 -- Lucas Nussbaum <lucas@debian.org>  Mon, 27 Apr 2015 13:04:18 +0200

hpcc (1.4.1-3) unstable; urgency=medium

  * Team upload.
  * [9863def] Fix format not a string FTBFS
  * [103c67e] Set canonical VCS.

 -- Anton Gladky <gladk@debian.org>  Mon, 26 May 2014 20:31:34 +0200

=== debian/control ===
--- 
+++ 
@@ -2,12 +2,12 @@
 Section: science
 Priority: extra
 Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
-Uploaders: Lucas Nussbaum <lucas@lucas-nussbaum.net>
-Build-Depends: cdbs, debhelper (>= 6), libatlas-base-dev, mpi-default-dev, mpi-default-bin
-Standards-Version: 3.9.1
+Uploaders: Lucas Nussbaum <lucas@debian.org>
+Build-Depends: debhelper (>= 9), libatlas-base-dev, mpi-default-dev, mpi-default-bin
+Standards-Version: 3.9.6
 Homepage: http://icl.cs.utk.edu/hpcc/
-Vcs-Browser: http://git.debian.org/?p=debian-science/packages/hpcc.git;a=summary
-Vcs-Git: git://git.debian.org/debian-science/packages/hpcc.git
+Vcs-Git: git://anonscm.debian.org/debian-science/packages/hpcc.git
+Vcs-Browser: http://anonscm.debian.org/gitweb/?p=debian-science/packages/hpcc.git
 
 Package: hpcc
 Architecture: any

=== debian/rules ===
#!/usr/bin/make -f
%:
	dh $@

override_dh_auto_build:
	dh_auto_build -- arch=Debian

override_dh_auto_clean:
	make arch=Debian clean

## hpcc 1.5.0

=== Makefile ===
--- 
+++ 
@@ -10,3 +10,17 @@
 clean:
 	- $(MKDIR) hpl/lib/$(arch)
 	( $(CD) hpl/lib/arch/build ; $(MAKE) arch=$(arch) -f Makefile.hpcc clean )
+
+readme: README.html README.txt
+
+README.html: README.tex
+	hevea -fix -O README.tex
+	python tools/readme.py README.html
+
+README.info: README.tex
+	hevea -fix -info README.tex
+
+README.txt: README.tex
+	hevea -fix -text README.tex
+
+.PHONY: all clean readme

=== hpl/Makefile ===
#  
#  -- High Performance Computing Linpack Benchmark (HPL)                
#     HPL - 2.0 - September 10, 2008                          
#     Antoine P. Petitet                                                
#     University of Tennessee, Knoxville                                
#     Innovative Computing Laboratory                                 
#     (C) Copyright 2000-2008 All Rights Reserved                       
#                                                                       
#  -- Copyright notice and Licensing terms:                             
#                                                                       
#  Redistribution  and  use in  source and binary forms, with or without
#  modification, are  permitted provided  that the following  conditions
#  are met:                                                             
#                                                                       
#  1. Redistributions  of  source  code  must retain the above copyright
#  notice, this list of conditions and the following disclaimer.        
#                                                                       
#  2. Redistributions in binary form must reproduce  the above copyright
#  notice, this list of conditions,  and the following disclaimer in the
#  documentation and/or other materials provided with the distribution. 
#                                                                       
#  3. All  advertising  materials  mentioning  features  or  use of this
#  software must display the following acknowledgement:                 
#  This  product  includes  software  developed  at  the  University  of
#  Tennessee, Knoxville, Innovative Computing Laboratory.             
#                                                                       
#  4. The name of the  University,  the name of the  Laboratory,  or the
#  names  of  its  contributors  may  not  be used to endorse or promote
#  products  derived   from   this  software  without  specific  written
#  permission.                                                          
#                                                                       
#  -- Disclaimer:                                                       
#                                                                       
#  THIS  SOFTWARE  IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS
#  ``AS IS'' AND ANY EXPRESS OR IMPLIED WARRANTIES,  INCLUDING,  BUT NOT
#  LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR
#  A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE UNIVERSITY
#  OR  CONTRIBUTORS  BE  LIABLE FOR ANY  DIRECT,  INDIRECT,  INCIDENTAL,
#  SPECIAL,  EXEMPLARY,  OR  CONSEQUENTIAL DAMAGES  (INCLUDING,  BUT NOT
#  LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
#  DATA OR PROFITS; OR BUSINESS INTERRUPTION)  HOWEVER CAUSED AND ON ANY
#  THEORY OF LIABILITY, WHETHER IN CONTRACT,  STRICT LIABILITY,  OR TORT
#  (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE
#  OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE. 
# ######################################################################
#  
#
SHELL            = /bin/sh
#
arch             = UNKNOWN
#
## Targets #############################################################
#
all              : install
#
# ######################################################################
#
install          : startup refresh build
#
startup          :
	$(MAKE) -f Make.top startup_dir     arch=$(arch)
	$(MAKE) -f Make.top startup_src     arch=$(arch)
	$(MAKE) -f Make.top startup_tst     arch=$(arch)
	$(MAKE) -f Make.top refresh_src     arch=$(arch)
	$(MAKE) -f Make.top refresh_tst     arch=$(arch)
#
refresh          :
	$(MAKE) -f Make.top refresh_src     arch=$(arch)
	$(MAKE) -f Make.top refresh_tst     arch=$(arch)
#
build            :
	$(MAKE) -f Make.top build_src       arch=$(arch)
	$(MAKE) -f Make.top build_tst       arch=$(arch)
#
clean            :
	$(MAKE) -f Make.top clean_src       arch=$(arch)
	$(MAKE) -f Make.top clean_tst       arch=$(arch)
#
clean_arch       :
	$(MAKE) -f Make.top clean_arch_src  arch=$(arch)
	$(MAKE) -f Make.top clean_arch_tst  arch=$(arch)
#
clean_arch_all   :
	$(MAKE) -f Make.top clean_arch_all  arch=$(arch)
#
clean_guard      :
	$(MAKE) -f Make.top clean_guard_src arch=$(arch)
	$(MAKE) -f Make.top clean_guard_tst arch=$(arch)
#
# ######################################################################

=== debian/changelog ===
hpcc (1.5.0-3build2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 17:02:28 +1100

hpcc (1.5.0-3build1) noble; urgency=medium

  * No-change rebuild against libopenmpi3t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Wed, 13 Mar 2024 18:26:50 +0000

hpcc (1.5.0-3) unstable; urgency=medium

  * Refresh patches using gbp pq import/export
  * New website. Update homepage and debian/watch

 -- Lucas Nussbaum <lucas@debian.org>  Thu, 28 Jul 2022 20:21:34 +0000

hpcc (1.5.0-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix FTBFS with recent openMPI (Closes: #952067)

 -- Francois Mazen <francois@mzf.fr>  Sat, 15 May 2021 14:35:02 +0200

hpcc (1.5.0-2) unstable; urgency=medium

  * Fix debian/watch to ignore alpha/beta releases
  * Bump Standards-Version to 4.3.0
  * Change Priority: to optional
  * Use https URL in debian/watch
  * Update Vcs fields to point to salsa
  * Bump dh compat level to 12
  * Switch to DEP5 copyright format

 -- Lucas Nussbaum <lucas@debian.org>  Thu, 18 Jul 2019 15:13:54 +0200

hpcc (1.5.0-1) unstable; urgency=medium

  * New upstream version 1.5.0
  * Drop patch fix_format_not_a_string.patch (merged upstream)
  * Bump Standards-Version to 4.0.0
  * Update Vcs-* URLs

 -- Lucas Nussbaum <lucas@debian.org>  Sat, 01 Jul 2017 15:11:57 +0200

=== debian/control ===
Source: hpcc
Section: science
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Lucas Nussbaum <lucas@debian.org>
Build-Depends: debhelper-compat (= 12), libatlas-base-dev, mpi-default-dev, mpi-default-bin
Standards-Version: 4.3.0
Homepage: https://hpcchallenge.org/hpcc/
Vcs-Git: https://salsa.debian.org/hpc-team/hpcc.git
Vcs-Browser: https://salsa.debian.org/hpc-team/hpcc

Package: hpcc
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, mpi-default-bin
Description: HPC Challenge benchmark
 The High Performance Computing (HPC) Challenge benchmark runs a suite
 of 7 tests that measure the performance of CPU, memory and network for
 HPC clusters.  Amongst others, it includes the High-Performance LINPACK
 (HPL) benchmark, used by the Top500 ranking (http://www.top500.org/).

=== debian/watch ===
version=4
https://github.com/icl-utk-edu/hpcc/tags .*/(\d[\d.-]+)\.(?:tar(?:\.gz|\.bz2)?|tgz)
